w3h5

Antd Vue的MonthPicker组件不能用,提示注册的解决方法

Antd Vue的MonthPicker组件不能用,提示注册的解决方法 经验总结 第1张

项目中需要用到 Ant Design 的 MonthPicker 月份组件,但是不能用,引入后组件不能正常显示,控制台报错: vue.esm.js?efeb:628 [Vue warn]: Unknown custom element: - did you register the component correctly? For recursive components, make sure to provide the "name" option.

代码如下:

<a-month-picker v-decorator="['month']" format="YYYY/MM" placeholder="请选择月份" />

查看 mian.js 文件,引入 MonthPicker 组件时,显示没有这个组件。

Antd Vue的MonthPicker组件不能用,提示注册的解决方法 经验总结 第2张

注册了也没用,还是报错:

Vue.component(MonthPicker.name, MonthPicker);

解决方法:

实际上是 Ant Design 的文档写不够清晰,加上月份组件个日期组件长得差不多,给人造成一个错觉。

其实不需要再引入 MonthPicker , MonthPicker 是在 DatePicker 的下一级,直接注册一下就可以了:

Vue.component(DatePicker.MonthPicker.name, DatePicker.MonthPicker);

这样就可以正常使用 MonthPicker 了。

声明:本文由w3h5原创,转载请注明出处:《Antd Vue的MonthPicker组件不能用,提示注册的解决方法》 https://www.w3h5.com/post/477.html

赞 (0)
分享到: +More |

评论 沙发

换个身份